Subject: Packaging questions?
From: David Starks-Browning <[email-masked]>
To: [email-masked] (Jari Aalto+list.cygwin)
Cc: [email-masked]
Date: Tue, 29 Jan 2002 23:06:29 +0000

On Tuesday 29 Jan 02, Jari Aalto+list.cygwin writes:
> 
> I have a quostion about the packaging page that says:
> 
>     The package is configured using (at a minimum) the following paths: 
>       --prefix=/usr
>       --sysconfdir=/etc
>       --libexecdir='$(sbindir)'
>       --localstatedir=/var
>       --datadir='$(prefix)/share'
> 
> What are the values of $(sbindir) and $(prefix)? At least Berkeley
> DB does not accept these parameters straight:
> 
>     configure: error: expected an absolute path for --libexecdir: 

I recall from building BerkeleyDB on UNIX (not Cygwin) that it did not
have complete autoconf support.  My advice for BerkeleyDB is to simply
build it with --prefix=/usr and see where everything goes.  I bet you
get lucky.  (I had required distinct --prefix and --exec-prefix, and
BerkeleyDB could not accomodate that.)

You might check another package, but I suspect that $(sbindir) is
/usr/sbin.  (Hmm, there is also stuff in my Cygwin /usr/libexec, were
those packages built incorrectly?)

Hope this helps.

David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/